Name: dmapd
Version: 0.0.2
Release: 1%{?dist}
License: GPLv2+
Source: http://www.flyn.org/projects/%name/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL: http://www.flyn.org
Summary: A server that provides DAAP (i.e., iTunes) and DPAP (e.g., iPhoto) shares
Group: Applications/Multimedia
BuildRequires: fedora-usermgmt-devel, avahi-devel, libexif-devel, libsoup-devel, libdmapsharing-devel

%description 
The dmapd project provides a GObject-based, Open Source implementation 
of DMAP, DAAP (iTunes sharing) and DPAP (iPhoto sharing).



%files 
%defattr(-, root, root, -)
%defattr(-,root,root,-)
%{_sbindir}/dmapd
%{_sysconfdir}/rc.d/init.d/dmapd
%attr(0700,dmapd,root) %{_localstatedir}/cache/dmapd
%attr(0700,dmapd,root) %{_localstatedir}/run/dmapd
%{_mandir}/*/*
%doc	AUTHORS COPYING ChangeLog INSTALL NEWS README FAQ 


%prep


%setup -q


%build
 %configure  --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
mkdir -p %{buildroot}%{_localstatedir}/cache/dmapd
mkdir -p %{buildroot}%{_localstatedir}/run/dmapd
install -D distro/dmapd %{buildroot}%{_sysconfdir}/rc.d/init.d/dmapd


%clean
rm -rf $RPM_BUILD_ROOT


%pre
%__fe_groupadd %uid -r %username &>/dev/null || :
%__fe_useradd  %uid -r -s /sbin/nologin -d %homedir -M -c '%gecos' -g %username %username &>/dev/null || :

%post
/sbin/chkconfig --add dmapd

%preun
if [ $1 = 0 ]; then /sbin/service dmapd stop >/dev/null 2>&1; /sbin/chkconfig --del dmapd; fi

%postun
if [ "$1" -ge "1" ]; then /sbin/service dmapd condrestart >/dev/null 2>&1 || :; fi
%__fe_userdel  %username &>/dev/null || :
%__fe_groupdel %username &>/dev/null || :



%changelog
* Sun Jan 11 2009 W. Michael Petullo <mike[@]flyn.org> - 0.0.1-1
   - Initial package.




